Oore CI
ReferenceAPIOperationsArtifacts

Abort_artifact

POST /v1/runners/{runner_id}/jobs/{job_id}/artifacts/{artifact_id}/abort

Operation IDabort_artifact
POST
/v1/runners/{runner_id}/jobs/{job_id}/artifacts/{artifact_id}/abort

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

runner_id*string
job_id*string
artifact_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/runners/string/jobs/string/artifacts/string/abort" \  -H "Content-Type: application/json" \  -d '{}'
{  "artifact": {    "artifact_type": "apk",    "build_id": "string",    "checksum": "string",    "created_at": 0,    "expires_at": 0,    "file_path": "string",    "file_size": 0,    "id": "string",    "metadata": {},    "name": "string",    "state": "string"  }}